Bug 975677 - [Docs][Install][host-deploy] support ssh public key authentication
[Docs][Install][host-deploy] support ssh public key authentication
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Andrew Burden
ecs-bugs
infra
: FutureFeature, Improvement
Depends On: 962162
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 02:14 EDT by Tim Hildred
Modified: 2016-02-10 14:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 962162
Environment:
Last Closed: 2014-04-06 23:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2013-06-19 02:14:58 EDT
This bug definitely affects the
- Installation Guide


+++ This bug was initially created as a clone of Bug #962162 +++

Currently we use user/password authentication for host-deploy, ovirt-node upgrade.

We use public key authentication for ovirt-node approval.

I would like we support both user password and public key authentication.

Suggested implementation:

ADD HOST

Host: _______________
Authentication:
 <x> Password: _____________
 < > Public key
     Key: _______read only text of public key_____________

RE-INSTALL/APPROVE

Host: ______readonly_________
Authentication:
 < > Password: _____________
 <x> Public key
     Key: _______read only text of public key_____________
Comment 1 Zac Dover 2013-12-08 23:41:46 EST
Public Key Authentication is assumed in Section 8.4, "Adding a Red Hat Enterprise Linux Host":

8.4. Adding a Red Hat Enterprise Linux Host
Summary
A Red Hat Enterprise Linux host is based on a standard "basic" installation of Red Hat Enterprise Linux. The physical host must be set up before you can add it the Red Hat Enterprise Virtualization environment.
The Red Hat Enterprise Virtualization Manager logs into the host to perform virtualization capability checks, install packages, create a network bridge, and reboot the host. The process of adding a new host can take up to 10 minutes.

Procedure 8.7. Adding a Red Hat Enterprise Linux Host

    Click the Hosts resource tab to list the hosts in the results list.
    Click New to open the New Host window.
    Use the drop-down menus to select the Data Center and Host Cluster for the new host.
    Enter the Name, Address, and SSH Port of the new host.
    Select an authentication method to use with the host.
        Enter the root user's password to use password authentication.
        Copy the key displayed in the SSH PublicKey field to /root/.ssh/authorized_hosts on the host to use public key authentication.
    You have now completed the mandatory steps to add a Red Hat Enterprise Linux host. Click the Advanced Parameters drop-down button to show the advanced host settings.
        Optionally disable automatic firewall configuration.
        Optionally add a host SSH fingerprint to increase security. You can add it manually, or fetch it automatically. 
    You can configure the Power Management and SPM using the applicable tabs now; however, as these are not fundamental to adding a Red Hat Enterprise Linux host, they are not covered in this procedure.
    Click OK to add the host and close the window. 

Result
The new host displays in the list of hosts with a status of Installing. Once installation is complete, the status will update to Reboot. The host must be activated for the status to change to Up.

documentation link
------------------
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Adding_a_Red_Hat_Enterprise_Linux_Host1

NVR
---
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-24

Note You need to log in before you can comment on or make changes to this bug.